By FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/castsByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/castsByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/castsByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://snapchain-api.neynar.com/v1/castsByFid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://snapchain-api.neynar.com/v1/castsByFid"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://snapchain-api.neynar.com/v1/castsByFid")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://snapchain-api.neynar.com/v1/castsByFid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"messages": [
{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"castAddBody": {
"embedsDeprecated": [
"<string>"
],
"mentions": [
2
],
"text": "<string>",
"mentionsPositions": [
123
],
"embeds": [
{
"castId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
}
}
],
"parentCastId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
},
"parentUrl": "chain://eip155:1/erc721:0x39d89b649ffa044383333d297e325d42d31329b2"
}
}
}
],
"nextPageToken": "AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Casts
By FID
Fetch user’s casts.
GET
/
v1
/
castsByFid
By FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/castsByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/castsByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/castsByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://snapchain-api.neynar.com/v1/castsByFid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://snapchain-api.neynar.com/v1/castsByFid"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://snapchain-api.neynar.com/v1/castsByFid")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://snapchain-api.neynar.com/v1/castsByFid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"messages": [
{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"castAddBody": {
"embedsDeprecated": [
"<string>"
],
"mentions": [
2
],
"text": "<string>",
"mentionsPositions": [
123
],
"embeds": [
{
"castId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
}
}
],
"parentCastId": {
"fid": 2,
"hash": "0x03aff391a6eb1772b20b4ead9a89f732be75fe27"
},
"parentUrl": "chain://eip155:1/erc721:0x39d89b649ffa044383333d297e325d42d31329b2"
}
}
}
],
"nextPageToken": "AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Query Parameters
Response
The requested Casts.
Base64-encoded pagination token for fetching the next page of results. An empty value indicates there are no more pages to return. Used in conjunction with the pageSize parameter to implement pagination across large result sets.
Pattern:
^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$Example:
"AuzO1V0DtaItCwwa10X6YsfStlynsGWT"
Was this page helpful?